Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# col_geom_v Class Reference

Geometry with coloured elements. More...

`#include <geom.h>`

Inheritance diagram for col_geom_v:
[legend]
Collaboration diagram for col_geom_v:
[legend]

List of all members.

## Public Member Functions
| col_geom_v ()
| Constructor.
| col_geom_v (const geom_if &geom)
| Copy Constructor.
col_geom_v & | operator= (const geom_if &geom)
| Copy Assignment.
int | add_col_vert (vec3d vert, col_val col)
| Add a vertex with a colour.
int | add_col_face (const vector< int > &face, col_val col)
| Add a face with a colour.
int | add_col_edge (const vector< int > &edge, col_val col)
| Add an edge with a colour.
virtual int | add_col_edge (int v_idx1, int v_idx2, col_val col)
| Add an edge from vertex index numbers, with a colour.
virtual void | add_missing_impl_edges ()
| Add missing implicit edges.
virtual void | color_vef (col_val vert_col, col_val edge_col, col_val face_col)
| Color convenience function.
virtual void | delete_verts (const vector< int > &v_nos, map< int, int > *vert_map=0)
| Delete several vertices.
virtual void | delete_edges (const vector< int > &e_nos, map< int, int > *edge_map=0)
| Delete several edges.
virtual void | delete_faces (const vector< int > &f_nos, map< int, int > *face_map=0)
| Delete several faces.
virtual void | append (const geom_if &geom)
| Append a geometry.
virtual void | clear_verts ()
| Delete all the vertices.
virtual void | clear_edges ()
| Delete all the edges.
virtual void | clear_faces ()
| Delete all the faces.

## Detailed Description

Geometry with coloured elements.

## Constructor & Destructor Documentation

col_geom_v::col_geom_v | ( | const geom_if & | geom | ) | `[inline]`

Copy Constructor.

Initialise from another geometry that implements `geom_if`

## Member Function Documentation

int col_geom_v::add_col_edge | ( | const vector< int > & | edge,
|  | col_val | col
| ) |  | `[inline]`

Add an edge with a colour.

Parameters:

  edge | edge to add.
  col | colour of the edge.

Returns:
  index number of newly added edge.

int col_geom_v::add_col_edge | ( | int | v_idx1,
|  | int | v_idx2,
|  | col_val | col
| ) |  | `[inline, virtual]`

Add an edge from vertex index numbers, with a colour.

Parameters:

  v_idx1 | index number of first vertex.
  v_idx2 | index number of second vertex.
  col | colour of the edge.

Returns:
  index number of newly added edge.

int col_geom_v::add_col_face | ( | const vector< int > & | face,
|  | col_val | col
| ) |  | `[inline]`

Add a face with a colour.

Parameters:

  face | face to add.
  col | colour of the face.

Returns:
  index number of newly added face.

int col_geom_v::add_col_vert | ( | vec3d | vert,
|  | col_val | col
| ) |  | `[inline]`

Add a vertex with a colour.

Parameters:

  vert | vertex to add.
  col | colour of the vertex.

Returns:
  index number of newly added vertex.

void col_geom_v::add_missing_impl_edges | ( |  | ) | `[virtual]`

Add missing implicit edges.

Add implicit edges (edges of faces) to the edge list if they are not already included

Reimplemented from geom_if.

void col_geom_v::append | ( | const geom_if & | geom | ) | `[virtual]`

Append a geometry.

Include the elements of a geometry after the current set of elements

Reimplemented from geom_if.

void col_geom_v::delete_edges | ( | const vector< int > & | e_idxs,
|  | map< int, int > * | edge_map = `0`
| ) |  | `[virtual]`

Delete several edges.

Parameters:

  e_idxs | edge index numbers to delete
  edge_map | a map of old index numbers to new index numbers, deleted edges map to index `-1`.

Reimplemented from geom_if.

void col_geom_v::delete_faces | ( | const vector< int > & | f_idxs,
|  | map< int, int > * | face_map = `0`
| ) |  | `[virtual]`

Delete several faces.

Parameters:

  f_idxs | face index numbers to delete
  face_map | a map of old index numbers to new index numbers, deleted faces map to index `-1`.

Reimplemented from geom_if.

void col_geom_v::delete_verts | ( | const vector< int > & | v_idxs,
|  | map< int, int > * | vert_map = `0`
| ) |  | `[virtual]`

Delete several vertices.

Parameters:

  v_idxs | vertex index numbers to delete
  vert_map | a map of old index numbers to new index numbers, deleted vertices map to index `-1`.

Reimplemented from geom_if.

col_geom_v & col_geom_v::operator= | ( | const geom_if & | geom | ) |

Copy Assignment.

Initialise from another geometry that implements `geom_if`

The documentation for this class was generated from the following files:

- base/geom.h
- base/geom.cc